package push_common

type ServerInfo struct {
	RevisionHash        string               `json:"revisionHash"`
	Time                uint32               `json:"time"`
	Hostname            string               `json:"hostname"`
	RedisConnectionConf *RedisConnectionConf `json:"redisConnectionConf"`
	ActivePushAmount    uint32               `json:"activePushAmount"`
	UptraceInfo         *UptraceInfo         `json:"uptraceInfo"`
}

type RedisConnectionConf struct {
	Host   string `json:"host"`
	Port   int    `json:"port"`
	Db     int    `json:"db"`
	Prefix string `json:"prefix"`
}

type UptraceInfo struct {
	UptraceOn             bool   `json:"uptraceOn"`
	UptraceDSN            string `json:"uptraceDSN"`
	ServiceName           string `json:"serviceName"`
	ServiceVersion        string `json:"serviceVersion"`
	DeploymentEnvironment string `json:"deploymentEnvironment"`
}
